from tkinter import * 
from PIL import Image, ImageTk

# create main window which is 800 by 600 pixels
root = Tk()
root.geometry('800x600')

# open new image and resize it to be half size, saving
# it to hte variable 'photo' as an ImageTk object
img1 = Image.open("bird.jpg")
newWidth = round(img1.size[0]*0.5)  # half size
newHeight = round(img1.size[1]*0.5) # half size
img1 = img1.resize((newWidth, newHeight), Image.ANTIALIAS)
photo1 =  ImageTk.PhotoImage(img1)

# do the same thing but for our other bird
img2 = Image.open("titmouse.jpg")
img2 = img2.resize((newWidth, newHeight), Image.ANTIALIAS)
photo2 =  ImageTk.PhotoImage(img2)

# define something which happens when button is clicked
def doSomething():
    print("CLICKED A BIRD!!")

def doOtherThing():
    print("CLICKED ANOTHER BIRD!!")
    
# create button which shows the image on it and, when clicked,
# it will call the function 'doSomething'.
b = Button(root, text="click me", image = photo1, command = doSomething)
b.pack( side = 'left' )

# we can have multiple buttons
b2 = Button(root, image = photo2, command = doOtherThing)
b2.pack( side = 'left' )

# show the window and wait for user input
mainloop()
